package io.zipcoder.interfaces;

public enum Educator implements Teacher {
    Kris(0L),
    Dolio(1L),
    Nhu(2L),
    Froilan(3L),
    Melanie(4L),
    Leon(5L);

    private final Instructor instructor;
    double timeWorked;

    Educator(Long id){
        instructor = new Instructor(id);
        Instructors.getInstance().add(instructor);
    }

    public void teach(Learner learner, double numberOfHours) {
        instructor.teach(learner,numberOfHours);
        this.timeWorked+=numberOfHours;
    }

    public void lecture(Learner[] learners, double numberOfHours) {
        instructor.lecture(learners,numberOfHours);
        this.timeWorked+=numberOfHours;
    }
}
